package com.hai.service;

import com.hai.entity.OutRechargePrice;

import java.util.List;
import java.util.Map;

public interface OutRechargePriceService {

    /**
     * @Author Sum1Dream
     * @Description //查询列表 Administrator
     * @Date 17:38 2021/6/12
     * @Param [map]
     * @return java.util.List<com.hai.entity.OutRechargePrice>
     **/
    List<OutRechargePrice> getListRechargePrice(Map<String , String> map);

    /**
     * @Author Sum1Dream
     * @Description //c端查询列表 Administrator
     * @Date 17:38 2021/6/12
     * @Param [map]
     * @return java.util.List<com.hai.entity.OutRechargePrice>
     **/
    List<OutRechargePrice> getListRechargePriceC(Map<String , String> map);

    /**
     * @Author Sum1Dream
     * @Description //查询详情 Administrator
     * @Date 17:40 2021/6/12
     * @Param [id]
     * @return com.hai.entity.OutRechargePrice
     **/
    OutRechargePrice findById(Long id);

    /**
     * @Author Sum1Dream
     * @Description //新增 Administrator
     * @Date 17:40 2021/6/12
     * @Param [outRechargePrice]
     * @return void
     **/
    void insertRechargePrice(OutRechargePrice outRechargePrice);

    /**
     * @Author Sum1Dream
     * @Description //修改 Administrator
     * @Date 17:41 2021/6/12
     * @Param [outRechargePrice]
     * @return void
     **/
    void updateRechargePrice(OutRechargePrice outRechargePrice);

    /**
     * @Author Sum1Dream
     * @Description //删除 Administrator
     * @Date 17:31 2021/6/13
     * @Param [id]
     * @return void
     **/
    void deletePrice(Long id);
}
